transformers-0.3.0.0: Concrete functor and monad transformers

Copyright | (c) Ross Paterson 2010
License | BSD-style (see the file LICENSE)
Maintainer | ross@soi.city.ac.uk
Stability | experimental
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Data.Functor.Product

Description

Products, lifted to functors.

Synopsis

- data Product f g a = Pair (f a) (g a)

# Documentation

data Product f g a

Lifted product of functors.

Constructors

Pair (f a) (g a) |

Instances

(Alternative f, Alternative g) => Alternative (Product f g) |
(Monad f, Monad g) => Monad (Product f g) |
(Functor f, Functor g) => Functor (Product f g) |
(MonadFix f, MonadFix g) => MonadFix (Product f g) |
(MonadPlus f, MonadPlus g) => MonadPlus (Product f g) |
(Applicative f, Applicative g) => Applicative (Product f g) |
(Foldable f, Foldable g) => Foldable (Product f g) |
(Traversable f, Traversable g) => Traversable (Product f g) |